
QGIS Application - Bug report #15483

SVG paths get lost when moving QGIS file to a new location

2016-08-23 10:00 AM - R. R.

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23407

Description

When moving a QGIS file to a new location the paths of SVG symbols get lost.

History

#1 - 2016-08-23 10:17 AM - R. R.

- File 15483.zip added

- File 15483.mp4 added

#2 - 2016-08-27 07:45 AM - Tudor Bărăscu

Hi,

The SVG symbol is stored relative to the project.

You can see this by editing the qgs project with a text editor:

<prop k="name" v="../SVG/symbol.svg"/>

This is done so that you can deploy your project with the symbols.

What you should do is make a subdirectory (SVG) where the qgs file is located and move the qgs file along with the SVG directory every time.

As an option you could also tell QGIS where to look for SVG files at Options -> System -> SVG paths.

I think you can close this issue.

#3 - 2017-01-04 10:54 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Files

15483.mp4 3.65 MB 2016-08-23 R. R.

15483.zip 14.2 KB 2016-08-23 R. R.
